# $Revision: 1.14 $, $Date: 2011/01/23 20:10:57 $
Summary:	Template library for linear algebra
Summary(pl.UTF-8):	Biblioteka szablonów do algebry liniowej
Name:		eigen
Version:	2.0.15
Release:	1
Epoch:		1
License:	LGPL v3+ or GPL v2+
Group:		Development/Libraries
Source0:	http://bitbucket.org/eigen/eigen/get/%{version}.tar.bz2
# Source0-md5:	a96fe69d652d7b3b1d990c99bbc518fb
URL:		http://eigen.tuxfamily.org/
BuildRequires:	cmake >= 2.6.2
BuildRequires:	rpmbuild(macros) >= 1.577
Obsoletes:	eigen-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eigen is a C++ template library for linear algebra: vectors, matrices,
and related algorithms. It is versatile, fast, elegant and
compiler-friendly.

Eigen handles, without code duplication and in a completely integrated
way:
 - both fixed-size and dynamic-size matrices and vectors
 - both dense and sparse (the latter is still experimental) matrices
   and vectors
 - both plain matrices/vectors and abstract expressions
 - both column-major (the default) and row-major matrix storage
 - both basic matrix/vector manipulation and many more advanced,
   specialized modules providing algorithms for linear algebra,
   geometry, quaternions, or advanced array manipulation.

%description -l pl.UTF-8
Eigen to biblioteka szablonów C++ do algebry liniowej: wektorów,
macierzy i związanych z nimi algorytmów. Jest elastyczna, szybka,
elegancka i przyjazna dla kompilatorów.

Obsługuje bez powielania kodu i w całkowicie zintegrowany sposób:
 - macierze i wektory o stałym i dynamicznym rozmiarze
 - macierze i wektory gęste i rzadkie (te drugie jeszcze
   eksperymentalnie)
 - zwykłe macierze/wektory jak i abstrakcyjne wyrażenia
 - przechowywanie danych kolumnowe (domyślne) oraz wierszowe
 - podstawowe operacje na macierzach/wektorach, jak i wiele
   bardziej zaawansowanych, specjalizowanych modułów z algorytmami
   algebry liniowej, geometrii, kwaternionów i zaawansowanych operacji
   na tablicach.

%prep
%setup -q -n %{name}

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_CXX_COMPILER_WORKS=1 \
	-DCMAKE_CXX_COMPILER="%{__cc}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_includedir}/eigen2
%{_npkgconfigdir}/eigen2.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eigen.spec,v $
Revision 1.14  2011/01/23 20:10:57  qboosh
- Group: Development/Libraries

Revision 1.13  2011/01/23 20:10:40  qboosh
- updated to 2.0.15
- shortened description (only most important information here), added pl translation
- use newer cmake macro
- updated License (GPL v2+ or LGPL v3+)

Revision 1.12  2010/02/20 15:54:08  shadzik
- kill -devel subpackage, it's useless anyway
- rel 3

Revision 1.11  2010/02/19 15:19:39  shadzik
- ekhem, fix -devel
- rel 2

Revision 1.10  2010/02/19 15:07:08  shadzik
- epoch 1 to make sure 2.0.12 > 2.0.52 (which was development and is on builders)

Revision 1.9  2010/02/18 18:45:51  shadzik
- reverted back to version 2.0.12
- on DEVEL there is 3.0dev

Revision 1.8  2010/02/18 18:42:42  shadzik
- 2.91

Revision 1.7  2009/12/02 01:17:58  sparky
- trick cmake not to require unneeded c++ compiler

Revision 1.6  2009/07/29 22:21:53  shadzik
- merged from DEVEL

Revision 1.5.2.3  2009/07/13 21:20:59  shadzik
- reverted :)

Revision 1.5.2.2  2009/06/30 08:02:31  shadzik
- rm unneeded eigen2.pc

Revision 1.5.2.1  2009/06/11 13:43:57  paszczus
- 2.0.52-stable

Revision 1.5  2009/06/11 13:33:50  paszczus
- updated to stable 2.0.2
- better description (from project site)

Revision 1.4  2009/01/28 19:48:24  shadzik
- 2.0 rc1

Revision 1.3  2009/01/05 00:31:28  glen
- release 1

Revision 1.2  2008/11/02 17:06:09  shadzik
- use install instead of mkdir

Revision 1.1  2008/11/02 11:32:15  rotom
- initial
